#-*- coding: iso-8859-15 -*-

"""
[language.py]
Modulo que contiene todas las cadenas de texto del programa y usa gettext para
traducirlas a otros idiomas mas fácilmente.
"""

__author__ = "Victor Ramirez de la Corte"
__date__ = "02/04/2009"
__version__ = "PyRubik v0.5"

import gettext

class Lang:
    """Clase que contiene todas las cadenas de texto del programa"""
    def translate(self, lang):
        """Funcion para cambiar el idioma y traducir todas las cadenas de texto"""
        self.t = gettext.translation('language', 'mo', languages = [lang])
        _ = self.t.gettext
        self.menu = [_("timer"), _("capture colours"), _("solve"), _("language <en>"),_("statistic"),\
         _("themes"), _("credits"), _("exit")]
        self.movs = [_("U"), _("U2"), _("U'"), _("D"), _("D2"), _("D'"),\
         _("L"), _("L2"), _("L'"), _("R"), _("R2"), _("R'"), _("F"), _("F2"),\
          _("F'"), _("B"), _("B2"), _("B'")]
        self.click = _("Press Enter to go to main menu")
        self.error1 = _("Error 1: This option isn't in the menu")
        self.error2 = _("Error 2: invalid move")
        self.error3 = _("Error 3: Only can exist 9 colours the same type")#TODO solo pueden existir 9 colores del mismo tipo
        self.error4 = _("Error 4: Insert correct numbers")
        self.error5 = _("Error 5: More times necessaries")#
        self.press = _("Press RETURN")
        self.save = _("Do you want to save your mark?(y/[n])")
        self.select = _("Cube's name: ")
        self.saved = _("Save successful")
        self.yes = [_("yes"), _("y")]
        self.no = [_("no"), _("n")]
        self.colores = [[_("0. White-->"), 9, (255, 255, 255, 255)],\
         [_("1. Yellow-->"), 9, (255, 255, 0, 255)],\
          [_("2. Orange-->"), 9, (255, 127, 0, 255)],\
           [_("3. Blue-->"), 9, (0, 0, 255, 255)],\
            [_("4. Green-->"), 9, (0, 255, 0, 255)],\
             [_("5. Red-->"), 9, (255, 0, 0, 255)]]
        
        #TODO esto no se si tendré que traducirlo
        self.credits = (_("Author") + ": Victor Ramirez de la Corte",\
        _("Translation") + ": Catalán por Dídac Martorell(dimartorell@gmail.com)",
        _("Gratitude") + ": Daniel Garcia, Manuel Albarrán, David Medina",\
         "Jose Antonio Carmona, Juan Jesus ...")
        
        self.date = _("Time/Date: ")
        self.avg = _("Average of ")
        self.record = _("Your best time is: ") 
        self.time = _("Time: ") 
        self.statistic = (_("1.[Search all]"),_("2.Search average of..."),\
         _("3.Search best time"),_("4.Search time of..."))
        self.mediaDe = _("Average Of(1,2,3,4,[5],...): ")
        self.consulta = _("Do you search again?(y/n)Press Y or N:  ") 
        self.insertEsp = _("Insert time of inspection and press RETURN for start: ")
        self.fotos = _("Photos")
        self.optSolve = [_("Webcam"), _("Manual")]
        self.cadenaMenu = cadenaMenu = [_("Press RETURN or SPACE to start"),_("Press ESC to exit")]
        
lll = Lang()   
lll.translate('en')


################################################################################
######################  AYUDA PARA USAR GETTEXT  ###############################
##crea fichero messages.pot
#   $ pygettext test.py
#
##crea fichero .po  LOCAL, el que se vaya a usar por defecto
#   $ msginit --locale=en --input=messages.pot
#
##Genera el archivo de plantilla para traducir. Ej: traducir al castellano (es.po)
#   $ msginit -i messages.pot -o es.po
#
##crea fichero .mo para usarlo
#   $ msgfmt es.po -o test.mo
#
##crear carpeta con el idioms y eso
#   $ mkdir -p mo/es/LC_MESSAGES
#
##mover el archivo creado a la carpeta idioma
#   $ mv test.mo mo/es/LC_MESSAGES
#
"""#####EXTRA###EXTRA##EXTRA####"""
#Mezclar el fichero de traducciones (.po) con otra plantilla (.pot)
#    $ msgmerge -U es.po messages.pot
#
